commit:     85fe1643e21a4148f208576d80254edf1b01a580
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Tue Jan 12 11:04:07 2016 +0000
Commit:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Tue Jan 12 11:04:07 2016 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=85fe1643

sci-visualization/forge: Version bump to 3.2.2

Package-Manager: portage-2.2.26

 sci-visualization/forge/forge-3.2.2.ebuild | 46 ++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/sci-visualization/forge/forge-3.2.2.ebuild 
b/sci-visualization/forge/forge-3.2.2.ebuild
new file mode 100644
index 0000000..e10e8c7
--- /dev/null
+++ b/sci-visualization/forge/forge-3.2.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit cmake-utils multilib
+
+DESCRIPTION="High Performance Visualizations for ArrayFire"
+HOMEPAGE="http://www.arrayfire.com/";
+SRC_URI="https://github.com/arrayfire/${PN}/archive/af${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="examples"
+
+RDEPEND="
+       media-libs/glew
+       >=media-libs/glfw-3.1.1
+       media-libs/freetype:2
+       media-libs/fontconfig:1.0
+       >=media-libs/glm-0.9.7.1
+       virtual/opengl
+       "
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${PN}-af${PV}"
+
+pkg_pretend() {
+       if [[ ${MERGE_TYPE} != binary ]]; then
+               if [[ $(gcc-major-version) -lt 4 ]] || ( [[ 
$(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 7 ]] ) ; then
+                       die "Compilation with gcc older than 4.7 is not 
supported."
+               fi
+       fi
+}
+
+src_configure() {
+       local mycmakeargs=(
+          $(cmake-utils_use_build examples EXAMPLES)
+          -DUSE_SYSTEM_GLM=ON
+          -DUSE_SYSTEM_FREETYPE=ON
+          -DFG_INSTALL_CMAKE_DIR=/usr/$(get_libdir)/cmake/Forge
+       )
+       cmake-utils_src_configure
+}

Reply via email to